/************************************************************************************
*                                 JavaScript project:                               *
*                                    Time Keeper v3                                 *
*                               Gadget Settings Object                              *
*                                                                                   *
*                                 20©08 f.e.d studios                               *
*                             http://www.fed-studios.com                            *
************************************************************************************/

function gadgetSettingsObject(){
	var gsObj = {
		activeCalendar : null,
		soundAlert : null,
		theme : null,
		timeFormat : null,
		file : System.Gadget.path + '\\xml\\settings.xml',
		status : null,
		loadSettings : function(){
			var xmlDoc = new ActiveXObject("Msxml2.DOMDocument.3.0");
			xmlDoc.async = false;			
			xmlDoc.load(gsObj.file);
			if(xmlDoc.parseError.errorCode != 0){
				var myErr = xmlDoc.parseError;
				gsObj.status = myErr.reason;
			}else{
				var settingsRoot = xmlDoc.documentElement;
				for(var i=0;i<settingsRoot.childNodes.length;i++){
					if(settingsRoot.childNodes[i].nodeName == 'activeCalendar'){
						gsObj.activeCalendar = parseInt(settingsRoot.childNodes[i].text);
					}else if(settingsRoot.childNodes[i].nodeName == 'soundAlert'){
						gsObj.soundAlert = parseInt(settingsRoot.childNodes[i].text);
					}else if(settingsRoot.childNodes[i].nodeName == 'theme'){
						gsObj.theme = parseInt(settingsRoot.childNodes[i].text);
					}else if(settingsRoot.childNodes[i].nodeName == 'timeFormat'){
						gsObj.timeFormat = parseInt(settingsRoot.childNodes[i].text);
					}
				}
				gsObj.status = 'Loaded';
			}
		},
		saveSettings : function(){
			var xmlDoc = new ActiveXObject("Msxml2.DOMDocument.3.0");
			xmlDoc.async = false;			
			xmlDoc.load(gsObj.file);
			if(xmlDoc.parseError.errorCode != 0){
				var myErr = xmlDoc.parseError;
				gsObj.status = myErr.reason;
			}else{
				var settingsRoot = xmlDoc.documentElement;
				for(var i=0;i<settingsRoot.childNodes.length;i++){
					if(settingsRoot.childNodes[i].nodeName == 'activeCalendar'){
						settingsRoot.childNodes[i].text = gsObj.activeCalendar.toString();
					}else if(settingsRoot.childNodes[i].nodeName == 'soundAlert'){
						settingsRoot.childNodes[i].text = gsObj.soundAlert.toString();
					}else if(settingsRoot.childNodes[i].nodeName == 'theme'){
						settingsRoot.childNodes[i].text = gsObj.theme.toString();
					}else if(settingsRoot.childNodes[i].nodeName == 'timeFormat'){
						settingsRoot.childNodes[i].text = gsObj.timeFormat.toString();
					}
				}
				xmlDoc.save(gsObj.file);
				gsObj.status = 'Saved';
			}
		}
	};
	return gsObj;
}