// JavaScript Document
function timeDateObj(){
	var td = {
		tdTime : {
			hour : null,
			minutes : null,
			seconds : null
		},
		tdDate : {
			localDayArray : new Array(),
			day : null,
			date : null,
			localMonthArray : new Array(),
			localFullMonthArray : new Array(),
			month : null,
			year : null
		},
		update : function(){
			var tmpTD = new Date();
			td.tdTime.hour = tmpTD.getHours();
			td.tdTime.minutes = tmpTD.getMinutes();
			td.tdTime.seconds = tmpTD.getSeconds();
			
			var dayArray = new Array();
			for(var i=1;i<=7;i++){
				dayArray.push(MyDayName(i).charAt(0).toUpperCase() + MyDayName(i).substr(1));
			}
			td.tdDate.localDayArray = dayArray;
			td.tdDate.day = tmpTD.getDay();
			td.tdDate.date = tmpTD.getDate();
			var monthArray = new Array();
			for(var j=1;j<=12;j++){
				monthArray.push(MyMonthName(j).toUpperCase());
			}
			td.tdDate.localMonthArray = monthArray;
			var fullMonthArray = new Array();
			for(var k=1;k<=12;k++){
				fullMonthArray.push(MyFullMonthName(k));
			}
			td.tdDate.localFullMonthArray = fullMonthArray;
			td.tdDate.month = tmpTD.getMonth();
			td.tdDate.year = tmpTD.getFullYear();
		}
	};	
	return td;
}