/************************************************************************************
*                                 JavaScript project:                               *
*                                    Time Keeper v3                                 *
*                                 Appointments object                               *
*                                                                                   *
*                                 2008 f.e.d studios                               *
*                             http://www.fed-studios.com                            *
************************************************************************************/


function appointments(){
	var app = {
		list : new Array(),
		filename : null,
		update : function(){			
			while(app.list.length > 0){
				app.list.pop();
			}
						
			var ados;
			ados = new ActiveXObject("ADODB.Stream");
			ados.Type = 2;
			ados.CharSet = 'UTF-8';
			ados.Open;
			ados.LoadFromFile(app.filename);
			var content = ados.ReadText;
			ados.Close;
			ados = null;
			
			//Extract info from file
			var vevents = content.substring((content.indexOf('BEGIN:VEVENT')), content.lastIndexOf('END:VEVENT'));
			while(vevents.indexOf('BEGIN:VEVENT') != -1){
				var eventStr = vevents;
				//Do extraction of event
				var dateTimeStr = eventStr.substr((eventStr.indexOf('DTSTART;') + 8));
				dateTimeStr = dateTimeStr.substring(0, dateTimeStr.indexOf('DTEND;'));
				dateTimeStr = dateTimeStr.substr((dateTimeStr.lastIndexOf(':') + 1));
				dateTimeStr = dateTimeStr.replace(/(\s)/g, '');
				var timeStr = dateTimeStr.substr((dateTimeStr.indexOf('T') + 1));
				timeStr = timeStr.replace(/(\s)/g, '');
				var dateStr = dateTimeStr.substring(0, dateTimeStr.indexOf('T'));
				dateStr = dateStr.replace(/(\s)/g, '');
				var textStr = eventStr.substr((eventStr.indexOf('SUMMARY:') + 8));
				textStr = textStr.substring(0, textStr.indexOf('\n'));
				textStr = textStr.replace(/^s+/, '').replace(/s+$/, '');
				textStr = app.htmlEncode(textStr);
				app.list.push({date:dateStr, time:timeStr, text:textStr});
				eventStr = eventStr.substr((eventStr.indexOf('END:VEVENT') + 10));
				vevents = eventStr;
			}
			app.list.sort(app.doCompare);
			return true;
		},
		htmlEncode : function(s){
			var div = document.createElement('div');
   			var text = document.createTextNode(s);
   			div.appendChild(text);
			return div.innerHTML;
		},
		doCompare : function(a,b){
			var timestampA = a.date.toString() + a.time.toString();
			var timestampB = b.date.toString() + b.time.toString();
			return parseInt(timestampA) - parseInt(timestampB);
		}
	};
	return app;
}