/************************************************************************************
*                                 JavaScript project:                               *
*                                    Time Keeper v3                                 *
*                              Upcoming appointments list                           *
*                                                                                   *
*                                 20©08 f.e.d studios                               *
*                             http://www.fed-studios.com                            *
************************************************************************************/

function upcomingAppointmentsList(){
	var ual = {
		list : null,
		update : function(appointmentList, timeObj){
			ual.list = new Array();
			var hStr = timeObj.tdTime.hour;
			hStr = (hStr < 10 ? "0" : "") + hStr;
			var mStr = timeObj.tdTime.minutes;
			mStr = (mStr < 10 ? "0" : "") + mStr;
			var currentTimeStamp = hStr.toString() + mStr.toString() + '00';
			currentTimeStamp = parseInt(currentTimeStamp);
			var d = timeObj.tdDate.date;
			d = (d < 10 ? "0" : "") + d;
			var m = (parseInt(timeObj.tdDate.month) + 1);
			m = (m < 10 ? "0" : "") + m;
			var currentDateStamp = timeObj.tdDate.year.toString() + m.toString() + d.toString();
			currentDateStamp = parseInt(currentDateStamp);
			for(var i=0;i<appointmentList.length;i++){
				var timeStamp = parseInt(appointmentList[i].time);
				var dateStamp = parseInt(appointmentList[i].date);
				var h = parseInt(appsObj.list[i].time.substring(0, 2));
				var mi = parseInt(appsObj.list[i].time.substring(2, 4));
				
				if((dateStamp == currentDateStamp) && (timeStamp > currentTimeStamp)){
					if((((h == parseInt(timeObj.tdTime.hour)) && ((mi - 15) == parseInt(timeObj.tdTime.minutes))) || (((h - 1) == parseInt(timeObj.tdTime.hour)) && (((mi + 60) - 15) == parseInt(timeObj.tdTime.minutes)))) && (soundAlert == 1)){
						var soundFile = System.Gadget.path + '\\sound\\notify.wav';
						System.Sound.playSound(soundFile);
					}
					
					var infoText = new String();
					var mins, hrs, ampm;
					if(timeDisplayFormat == 12){
						mins = (mi < 10 ? "0" : "") + mi;
						if(h >= 12){
							hrs = h - 12;
							ampm = 'PM';
						}else{
							hrs = h;
							ampm = 'AM';
						}
						if(hrs == 12){
							hrs = 0;
						}						
					}else{
						hrs = (h < 10 ? "0" : "") + h;
						mins = (mi < 10 ? "0" : "") + mi;
						ampm = '';
					}
					infoText = hrs + ':' + mins + ampm + ' ' + appointmentList[i].text;
					ual.list.push(infoText);
				}
			}
		}
	};
	return ual;
}